Subject: Re: bug#25593: Feature request: xref-find-definitions in current file

From: Stefan Kangas <[email-masked]>
Date: Thu, 1 Oct 2020 04:59:39 -0700

Stefan Kangas <[email-masked]> writes:

> Dmitry Gutov <[email-masked]> writes:
>
>> On 03.02.2017 10:43, Joel Ekström wrote:
>>
>>> It's funny that you mention counsel-imenu, because counsel/ivy-mode is
>>> actually one of the reasons I wanted this in the first place.
>>> xref-find-definitions displays perfectly in ivy-mode (similar to how
>>> counsel-imenu works),
>>
>> I see what you mean. ivy-mode switches completing-read to its UI.
>>
>> But if there are several locations corresponding to the given name, you'll see
>> them in an *xref* buffer.
>>
>>> I was actually not aware that counsel-imenu exists, so this solves my
>>> problem to some extent.
>>
>> Happy to help. I use it a lot.
>>
>>> That said - having an option to have xref-find-definitions filter by
>>> file would still be useful, since ctags is able to index things that
>>> imenu does not.
>>
>> Maybe that happens too, but my experience is usually the opposite.
>>
>>> However - if it isn't a simple fix then I don't think
>>> it's worth it, since imenu is "good enough".
>>
>> Let's see if someone else wants xref-find-definitions-in-current-file as well,
>> or if they have some other ideas on this issue.
>
> That was 3.5 years ago, and it seems like the bug reporter was happy
> with the proposed alternative.
>
> Does anyone else have an opinion on the proposal here, or should this be
> closed?

That was 7 weeks ago, and there has been no further comments.  I'm
therefore closing this bug now.